'''
Tribal Civilization - Image Loader Module
2013 - Aliens Universal Wide 
by Benji Asperheim

'''

#----------------- Import Modules -----------
import pygame, random, sys, os
from pygame.locals import *

pygame.init()
sys.path.append("C:\Tribes")

class Buildings:
    def __init__(self, bau, road, edi, grid):
        self.bau = bau
        self.road = road
        self.grid = grid

build = Buildings(0, 0, 0, 0)
build.bau = {}
build.road = {}
build.edi = {}
build.grid = {}

# ---------------- Load Images ----------------------
icon = pygame.image.load('c:\Tribes/images/tribes.png').convert_alpha()
# -- Box/Border Images
#boxS2 = pygame.image.load('c:\Tribes/images/boxS2.png').convert_alpha()
#boxGR1 = pygame.image.load('c:\Tribes/images/boxGR1.png').convert_alpha()

#boxM1 = pygame.transform.scale(boxM1, (300,80))
#boxGR1L = pygame.image.load('c:\Tribes/images/boxGR1L.png').convert_alpha()

boxBLU = pygame.image.load('c:\Tribes/images/boxBLU.png').convert_alpha()  
boxRED = pygame.image.load('c:\Tribes/images/boxRED.png').convert_alpha() 
boxNEU = pygame.image.load('c:\Tribes/images/boxNEU.png').convert_alpha() 

boxBLU2 = pygame.image.load('c:\Tribes/images/boxBLU2.png').convert_alpha()  # <-- Sector Ownership Box (Blue)
boxRED2 = pygame.image.load('c:\Tribes/images/boxRED2.png').convert_alpha()  # <-- Sector Ownership Box (Red)

boxSHAMAN = pygame.image.load('c:\Tribes/images/boxSHAMAN.png').convert_alpha() # <-- Shaman Advice Box
boxRESOURCE1 = pygame.image.load('c:\Tribes/images/boxRESOURCE1.png').convert_alpha()
boxRESOURCE2 = pygame.image.load('c:\Tribes/images/boxRESOURCE2.png').convert_alpha()
boxRESOURCEedge = pygame.image.load('c:\Tribes/images/boxRESOURCEedge.png').convert_alpha()
boxWATER = pygame.image.load('c:\Tribes/images/boxWATER.png').convert_alpha()

boxHAPPY1 = pygame.image.load('c:\Tribes/images/boxHAPPY1.png').convert_alpha()
boxHAPPY2 = pygame.image.load('c:\Tribes/images/boxHAPPY2.png').convert_alpha()
boxHAPPY3 = pygame.image.load('c:\Tribes/images/boxHAPPY3.png').convert_alpha()

boxHEALTH1 = pygame.image.load('c:\Tribes/images/boxHEALTH1.png').convert_alpha()
boxHEALTH2 = pygame.image.load('c:\Tribes/images/boxHEALTH2.png').convert_alpha()
boxHEALTH3 = pygame.image.load('c:\Tribes/images/boxHEALTH3.png').convert_alpha()

waterLEVEL1 = pygame.image.load('c:\Tribes/images/waterLEVEL1.png').convert_alpha()
waterLEVEL2 = pygame.image.load('c:\Tribes/images/waterLEVEL2.png').convert_alpha()
waterLEVEL3 = pygame.image.load('c:\Tribes/images/waterLEVEL3.png').convert_alpha()
waterLEVEL4 = pygame.image.load('c:\Tribes/images/waterLEVEL4.png').convert_alpha()
waterLEVEL5 = pygame.image.load('c:\Tribes/images/waterLEVEL5.png').convert_alpha()

mineralLEVEL1 = pygame.image.load('c:\Tribes/images/mineralLEVEL1.png').convert_alpha()
mineralLEVEL2 = pygame.image.load('c:\Tribes/images/mineralLEVEL2.png').convert_alpha()
mineralLEVEL3 = pygame.image.load('c:\Tribes/images/mineralLEVEL3.png').convert_alpha()
mineralLEVEL4 = pygame.image.load('c:\Tribes/images/mineralLEVEL4.png').convert_alpha()
mineralLEVEL5 = pygame.image.load('c:\Tribes/images/mineralLEVEL5.png').convert_alpha()

herbLEVEL1 = pygame.image.load('c:\Tribes/images/herbLEVEL1.png').convert_alpha()
herbLEVEL2 = pygame.image.load('c:\Tribes/images/herbLEVEL2.png').convert_alpha()
herbLEVEL3 = pygame.image.load('c:\Tribes/images/herbLEVEL3.png').convert_alpha()
herbLEVEL4 = pygame.image.load('c:\Tribes/images/herbLEVEL4.png').convert_alpha()
herbLEVEL5 = pygame.image.load('c:\Tribes/images/herbLEVEL5.png').convert_alpha()


boxLONG = pygame.image.load('c:\Tribes/images/boxLONG.png').convert_alpha()
boxLOADING = pygame.image.load('c:\Tribes/images/boxLOADING.png').convert_alpha()
boxLONGthin = pygame.image.load('c:\Tribes/images/boxLONGthin.png').convert_alpha()
boxMINI = pygame.image.load('c:\Tribes/images/boxMINI.png').convert_alpha()
boxINFOlarge = pygame.image.load('c:\Tribes/images/boxINFOlarge.png').convert_alpha()
boxMENU = pygame.image.load('c:\Tribes/images/boxMENU.png').convert_alpha()
boxSQUAREsmall = pygame.image.load('c:\Tribes/images/boxSQUAREsmall.png').convert_alpha()
boxSQUARE = pygame.image.load('c:\Tribes/images/boxSQUARE.png').convert_alpha()
boxSCROLL = pygame.image.load('c:\Tribes/images/boxSCROLL.png').convert_alpha()
laborSCROLLbox = pygame.image.load('c:\Tribes/images/laborSCROLLbox.png').convert_alpha()
boxFLASH = pygame.image.load('c:\Tribes/images/boxFLASH.png').convert_alpha()
boxFLASHlabor = pygame.image.load('c:\Tribes/images/boxFLASHlabor.png').convert_alpha()
boxFLASHlabor2 = pygame.image.load('c:\Tribes/images/boxFLASHlabor2.png').convert_alpha()
boxFLASHlabor3 = pygame.image.load('c:\Tribes/images/boxFLASHlabor3.png').convert_alpha()
FLASHlabor = pygame.image.load('c:\Tribes/images/FLASHlabor.png').convert_alpha()
FLASHlabor2 = pygame.image.load('c:\Tribes/images/FLASHlabor2.png').convert_alpha()
FLASHlabor3 = pygame.image.load('c:\Tribes/images/FLASHlabor3.png').convert_alpha()

scroller = pygame.image.load('c:\Tribes/images/scroller.png').convert_alpha()

menu_select = pygame.image.load('c:\Tribes/images/menu_select.png').convert_alpha()
background = pygame.image.load('c:\Tribes/images/screenshot.png').convert_alpha()

SectorDark = pygame.image.load('c:\Tribes/images/SectorDark.png').convert_alpha()
SectorWater = pygame.image.load('c:\Tribes/images/SectorWater.png').convert_alpha()
SectorBrown = pygame.image.load('c:\Tribes/images/SectorBrown.png').convert_alpha()
SectorGreen = pygame.image.load('c:\Tribes/images/SectorGreen.png').convert_alpha()
SectorFrost = pygame.image.load('c:\Tribes/images/SectorFrost.png').convert_alpha()
semiBAR = pygame.image.load('c:\Tribes/images/semiBAR.png').convert_alpha()

# -- Information
boxTURN = pygame.image.load('c:\Tribes/images/boxTURN.png').convert_alpha()
boxELDERS = pygame.image.load('c:\Tribes/images/boxELDERS.png').convert_alpha()
boxBUILD = pygame.image.load('c:\Tribes/images/boxBUILD.png').convert_alpha()

sideMOON1 = pygame.image.load('c:\Tribes/images/sideMOON1.png').convert_alpha()
sideMOON2 = pygame.image.load('c:\Tribes/images/sideMOON2.png').convert_alpha()
sideMOON3 = pygame.image.load('c:\Tribes/images/sideMOON3.png').convert_alpha()
sideMOON4 = pygame.image.load('c:\Tribes/images/sideMOON4.png').convert_alpha()

sideLABOR = pygame.image.load('c:\Tribes/images/sideLABOR.png').convert_alpha()
sidePOPULATION = pygame.image.load('c:\Tribes/images/sidePOPULATION.png').convert_alpha()
sideWORKERS = pygame.image.load('c:\Tribes/images/sideWORKERS.png').convert_alpha()
sideHOUSING = pygame.image.load('c:\Tribes/images/sideHOUSING.png').convert_alpha()
sideSTORAGE = pygame.image.load('c:\Tribes/images/sideSTORAGE.png').convert_alpha()
sidePOTTERY = pygame.image.load('c:\Tribes/images/sidePOTTERY.png').convert_alpha()

sideWATER = pygame.image.load('c:\Tribes/images/sideWATER.png').convert_alpha()
sideMINERALS = pygame.image.load('c:\Tribes/images/sideMINERALS.png').convert_alpha()
sideHERBS = pygame.image.load('c:\Tribes/images/sideHERBS.png').convert_alpha()
sideHAPPY1 = pygame.image.load('c:\Tribes/images/sideHAPPY1.png').convert_alpha()
sideHAPPY2 = pygame.image.load('c:\Tribes/images/sideHAPPY2.png').convert_alpha()
sideHAPPY3 = pygame.image.load('c:\Tribes/images/sideHAPPY3.png').convert_alpha()

waterTOGGLE = pygame.image.load('c:\Tribes/images/waterTOGGLE.png').convert_alpha()
mineralTOGGLE = pygame.image.load('c:\Tribes/images/mineralTOGGLE.png').convert_alpha()
herbTOGGLE = pygame.image.load('c:\Tribes/images/herbTOGGLE.png').convert_alpha()
healthTOGGLE = pygame.image.load('c:\Tribes/images/healthTOGGLE.png').convert_alpha()
happyTOGGLE = pygame.image.load('c:\Tribes/images/happyTOGGLE.png').convert_alpha()
highlightTOGGLE = pygame.image.load('c:\Tribes/images/highlightTOGGLE.png').convert_alpha()

# -- Game Window Border
border_yellow1 = pygame.image.load('c:\Tribes/images/border_yellow1.png').convert_alpha()
border_yellow2 = pygame.image.load('c:\Tribes/images/border_yellow2.png').convert_alpha()
mapBORDER = pygame.image.load('c:\Tribes/images/mapBORDER.png').convert_alpha()

# -- Selector Box for Map
check = pygame.image.load('c:\Tribes/images/check.png').convert_alpha()  # <-- Checkmark
miniCHECK = pygame.image.load('c:\Tribes/images/miniCHECK.png').convert_alpha()  # <-- Checkmark
boxSECTORS = pygame.image.load('c:\Tribes/images/boxSECTORS.png').convert_alpha()  # <-- Zoom Sector Box
SECTORedge = pygame.image.load('c:\Tribes/images/SECTORedge.png').convert_alpha()  # <-- Zoom Sector Box
boxSelect = pygame.image.load('c:\Tribes/images/boxSelect.png').convert_alpha()  # <-- Sector Selector Box
boxSELmini = pygame.image.load('c:\Tribes/images/boxSELmini.png').convert_alpha()  # <-- Mini-Map Selector Box
boxVILLblu = pygame.image.load('c:\Tribes/images/boxVILLblu.png').convert_alpha()  # <-- Village Area Box
boxVILLblu1 = pygame.image.load('c:\Tribes/images/boxVILLblu1.png').convert_alpha()  # <-- Village Area Box
boxVILLblu2 = pygame.image.load('c:\Tribes/images/boxVILLblu2.png').convert_alpha()  # <-- Village Area Box
boxSEL = pygame.image.load('c:\Tribes/images/boxSEL.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxSEL2 = pygame.image.load('c:\Tribes/images/boxSEL2.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxBLU150 =  pygame.image.load('c:\Tribes/images/boxBLU150.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxBLU300 =  pygame.image.load('c:\Tribes/images/boxBLU300.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxBLU150x75 = pygame.image.load('c:\Tribes/images/boxBLU150x75.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxSEL150 = pygame.image.load('c:\Tribes/images/boxSEL150.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxSEL150x75 = pygame.image.load('c:\Tribes/images/boxSEL150x75.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxSEL300 = pygame.image.load('c:\Tribes/images/boxSEL300.png').convert_alpha()  # <-- Zoomed Sector Selector Box
boxSECT = pygame.image.load('c:\Tribes/images/boxSECT.png').convert_alpha()  # <-- Zoomed Sector Selector Box 
boxSECTmini = pygame.image.load('c:\Tribes/images/boxSECTmini.png').convert_alpha()  # <-- Zoomed Sector Selector Box 

# -------- MAP PICS ----------
# Sector Pics
SectorBorder = pygame.image.load('c:\Tribes/images/SectorBorder.png').convert_alpha()
range0 = pygame.image.load('c:\Tribes/images/range0.png').convert_alpha()
range1 = pygame.image.load('c:\Tribes/images/range1.png').convert_alpha()
range2 = pygame.image.load('c:\Tribes/images/range2.png').convert_alpha()
range3 = pygame.image.load('c:\Tribes/images/range3.png').convert_alpha()
range4 = pygame.image.load('c:\Tribes/images/range4.png').convert_alpha()

# Sector Pics -- Panoramic
panDES = pygame.image.load('c:\Tribes/images/panDES.png').convert_alpha()
panMON = pygame.image.load('c:\Tribes/images/panMON.png').convert_alpha()
panPL = pygame.image.load('c:\Tribes/images/panPL.png').convert_alpha()
panFOR = pygame.image.load('c:\Tribes/images/panFOR.png').convert_alpha()
panWAT = pygame.image.load('c:\Tribes/images/panWAT.png').convert_alpha()

# Sector Pics -- 75 x 75
gridPLAlarge = pygame.image.load('c:\Tribes/images/gridPLAlarge.png').convert_alpha()
gridFORlarge = pygame.image.load('c:\Tribes/images/gridFORlarge.png').convert_alpha()
gridDESlarge = pygame.image.load('c:\Tribes/images/gridDESlarge.png').convert_alpha()
gridMONlarge = pygame.image.load('c:\Tribes/images/gridMONlarge.png').convert_alpha()
gridFROlarge = pygame.image.load('c:\Tribes/images/gridFROlarge.png').convert_alpha()

gridWATlarge = pygame.image.load('c:\Tribes/images/gridWATlarge.png').convert_alpha()
gridWATlarge1 = pygame.image.load('c:\Tribes/images/gridWATlarge1.png').convert_alpha()
gridWATlarge2 = pygame.image.load('c:\Tribes/images/gridWATlarge2.png').convert_alpha()

# -- 50 x 50 Plains Pics
gridPL1 = pygame.image.load('c:\Tribes/images/gridPL1.png').convert_alpha()
gridPL2 = pygame.image.load('c:\Tribes/images/gridPL2.png').convert_alpha()
gridPL3 = pygame.image.load('c:\Tribes/images/gridPL3.png').convert_alpha()
gridPLW = pygame.image.load('c:\Tribes/images/gridPLW.png').convert_alpha()
gridPLW1 = pygame.image.load('c:\Tribes/images/gridPLW1.png').convert_alpha()
gridPLW2 = pygame.image.load('c:\Tribes/images/gridPLW2.png').convert_alpha()
# -- 10 x 10 Plains Pic
mapPL1 = pygame.image.load('c:\Tribes/images/mapPL1.png').convert_alpha()

# -- 50 x 50 Forest Pics
gridFOR1 = pygame.image.load('c:\Tribes/images/gridFOR1.png').convert_alpha()
gridFOR2 = pygame.image.load('c:\Tribes/images/gridFOR2.png').convert_alpha()
gridFOR3 = pygame.image.load('c:\Tribes/images/gridFOR3.png').convert_alpha()
gridFORW = pygame.image.load('c:\Tribes/images/gridFORW.png').convert_alpha()
gridFORW1 = pygame.image.load('c:\Tribes/images/gridFORW1.png').convert_alpha()
gridFORW2 = pygame.image.load('c:\Tribes/images/gridFORW2.png').convert_alpha()
# -- 10 x 10 Forest Pic
mapFOR1 = pygame.image.load('c:\Tribes/images/mapFOR1.png').convert_alpha()

# -- 50 x 50 Desert Pics
gridDES1 = pygame.image.load('c:\Tribes/images/gridDES1.png').convert_alpha()
gridDES2 = pygame.image.load('c:\Tribes/images/gridDES2.png').convert_alpha()
gridDES3 = pygame.image.load('c:\Tribes/images/gridDES3.png').convert_alpha()
gridDESW = pygame.image.load('c:\Tribes/images/gridDESW.png').convert_alpha()
gridDESW1 = pygame.image.load('c:\Tribes/images/gridDESW1.png').convert_alpha()
gridDESW2 = pygame.image.load('c:\Tribes/images/gridDESW2.png').convert_alpha()
# -- 10 x 10 Desert Pic
mapDES1 = pygame.image.load('c:\Tribes/images/mapDES1.png').convert_alpha()

# -- 50 x 50 Mountain Pics
gridMON1 = pygame.image.load('c:\Tribes/images/gridMON1.png').convert_alpha()
gridMON2 = pygame.image.load('c:\Tribes/images/gridMON2.png').convert_alpha()
gridMON3 = pygame.image.load('c:\Tribes/images/gridMON3.png').convert_alpha()
gridMONW = pygame.image.load('c:\Tribes/images/gridMONW.png').convert_alpha()
gridMONW1 = pygame.image.load('c:\Tribes/images/gridMONW1.png').convert_alpha()
gridMONW2 = pygame.image.load('c:\Tribes/images/gridMONW2.png').convert_alpha()
# -- 10 x 10 Mountain Pic
mapMON1 = pygame.image.load('c:\Tribes/images/mapMON1.png').convert_alpha()

# -- 50 x 50 Water Pic
gridWAT2 = pygame.image.load('c:\Tribes/images/gridWAT2.png').convert_alpha()
gridWAT3 = pygame.image.load('c:\Tribes/images/gridWAT3.png').convert_alpha()
gridWAT4 = pygame.image.load('c:\Tribes/images/gridWAT4.png').convert_alpha()
gridISLAND = pygame.image.load('c:\Tribes/images/gridISLAND.png').convert_alpha()
gridISLANDS = pygame.image.load('c:\Tribes/images/gridISLANDS.png').convert_alpha()
gridISLANDS2 = pygame.image.load('c:\Tribes/images/gridISLANDS2.png').convert_alpha()
gridISLANDS3 = pygame.image.load('c:\Tribes/images/gridISLANDS3.png').convert_alpha()
gridFROST = pygame.image.load('c:\Tribes/images/gridFROST.png').convert_alpha()
gridFROSTmon = pygame.image.load('c:\Tribes/images/gridFROSTmon.png').convert_alpha()
# -- 10 x 10 Water Pic
mapWAT = pygame.image.load('c:\Tribes/images/mapWAT.png').convert_alpha()
mapFROST = pygame.image.load('c:\Tribes/images/mapFROST.png').convert_alpha()
gridFROSTmon = pygame.image.load('c:\Tribes/images/gridFROSTmon.png').convert_alpha()

# -- 50 x 50 Fog-of-War
gridFOG = pygame.image.load('c:\Tribes/images/gridFOG.png').convert_alpha()
gridFOG2 = pygame.image.load('c:\Tribes/images/gridFOG2.png').convert_alpha()
# -- 10 x 10 Fog-of-War
mapFOG = pygame.image.load('c:\Tribes/images/mapFOG.png').convert_alpha()
mapFOG2 = pygame.image.load('c:\Tribes/images/mapFOG2.png').convert_alpha()
# -- 10 x 10 Roads
mapROAD1 = pygame.image.load('c:\Tribes/images/mapROAD1.png').convert_alpha()
mapROAD2 = pygame.image.load('c:\Tribes/images/mapROAD2.png').convert_alpha()
# -- 10 x 10 Color Ownership
mapBLUE = pygame.image.load('c:\Tribes/images/mapBLUE.png').convert_alpha()
mapRED = pygame.image.load('c:\Tribes/images/mapRED.png').convert_alpha()
mapNEU = pygame.image.load('c:\Tribes/images/mapNEU.png').convert_alpha()
# -- 10 x 10 Other
mapPYRAMID = pygame.image.load('c:\Tribes/images/mapPYRAMID.png').convert_alpha()

# -------- ICON PICS ---------

smallAXE = pygame.image.load('c:\Tribes/images/smallAXE.png').convert_alpha()
resHEART1 = pygame.image.load('c:\Tribes/images/resHEART1.png').convert_alpha()
resHEART2 = pygame.image.load('c:\Tribes/images/resHEART2.png').convert_alpha()
resHEART3 = pygame.image.load('c:\Tribes/images/resHEART3.png').convert_alpha()

workDEFAULT = pygame.image.load('c:\Tribes/images/workDEFAULT.png').convert_alpha()
workWATER = pygame.image.load('c:\Tribes/images/workWATER.png').convert_alpha()

# -- Terrain Landscapes
infoPLA = pygame.image.load('c:\Tribes/images/infoPLA.png').convert_alpha()
infoFOR = pygame.image.load('c:\Tribes/images/infoFOR.png').convert_alpha()
infoDES = pygame.image.load('c:\Tribes/images/infoDES.png').convert_alpha()
infoMON = pygame.image.load('c:\Tribes/images/infoMON.png').convert_alpha()
infoWAT = pygame.image.load('c:\Tribes/images/infoWAT.png').convert_alpha()
infoPLAw = pygame.image.load('c:\Tribes/images/infoPLAw.png').convert_alpha()
infoFORw = pygame.image.load('c:\Tribes/images/infoFORw.png').convert_alpha()
infoDESw = pygame.image.load('c:\Tribes/images/infoDESw.png').convert_alpha()
infoMONw = pygame.image.load('c:\Tribes/images/infoMONw.png').convert_alpha()
infoFOGWAR = pygame.image.load('c:\Tribes/images/infoFOGWAR.png').convert_alpha()
infoPYRAMID = pygame.image.load('c:\Tribes/images/infoPYRAMID.png').convert_alpha()
infoPYRAMID2 = pygame.image.load('c:\Tribes/images/infoPYRAMID2.png').convert_alpha()

infoGOLD = pygame.image.load('c:\Tribes/images/infoGOLD.png').convert_alpha()
infoCRYSTAL = pygame.image.load('c:\Tribes/images/infoCRYSTAL.png').convert_alpha()
infoCOPPER = pygame.image.load('c:\Tribes/images/infoCOPPER.png').convert_alpha()
infoBRONZE = pygame.image.load('c:\Tribes/images/infoBRONZE.png').convert_alpha()
infoFOOD = pygame.image.load('c:\Tribes/images/infoFOOD.png').convert_alpha()
infoGRAIN = pygame.image.load('c:\Tribes/images/infoGRAIN.png').convert_alpha()
infoFORAGE = pygame.image.load('c:\Tribes/images/infoFORAGE.png').convert_alpha()
infoMEAT = pygame.image.load('c:\Tribes/images/infoMEAT.png').convert_alpha()
infoWOOD = pygame.image.load('c:\Tribes/images/infoWOOD.png').convert_alpha()
infoHERB = pygame.image.load('c:\Tribes/images/infoHERB.png').convert_alpha()
infoSTONE = pygame.image.load('c:\Tribes/images/infoSTONE.png').convert_alpha()
infoCLAY = pygame.image.load('c:\Tribes/images/infoCLAY.png').convert_alpha()
infoPOTTERY = pygame.image.load('c:\Tribes/images/infoPOTTERY.png').convert_alpha()
infoADOBE = pygame.image.load('c:\Tribes/images/infoADOBE.png').convert_alpha()
infoFOOD = pygame.image.load('c:\Tribes/images/infoFOOD.png').convert_alpha()

# -- Info Box Pics
proSHA1 = pygame.image.load('c:\Tribes/images/proSHA1.png').convert_alpha()
proSHA1 = pygame.transform.scale(proSHA1, (110,110))
proSHA2 = pygame.image.load('c:\Tribes/images/proSHA2.png').convert_alpha()
proSHA2 = pygame.transform.scale(proSHA2, (110,110))

proTOTEMblu = pygame.image.load('c:\Tribes/images/proTOTEMblu.png').convert_alpha()
proTOTEMred = pygame.image.load('c:\Tribes/images/proTOTEMred.png').convert_alpha()
proTOTEMneu = pygame.image.load('c:\Tribes/images/proTOTEMneu.png').convert_alpha()
TOTEMtransparent = pygame.image.load('c:\Tribes/images/TOTEMtransparent.png').convert_alpha()

# -- Zoomed Grid Token Sprites
build.bau[1] = pygame.image.load('c:\Tribes/images/gridTOKENblu.png').convert_alpha()
build.bau[2] = pygame.image.load('c:\Tribes/images/gridTOKENred.png').convert_alpha()
build.bau[3] = pygame.image.load('c:\Tribes/images/gridTOKENneu.png').convert_alpha()

build.edi[1] = pygame.image.load('c:\Tribes/images/buildRICE.png').convert_alpha()
build.edi[2] = pygame.image.load('c:\Tribes/images/buildHUT.png').convert_alpha()
build.edi[3] = pygame.image.load('c:\Tribes/images/buildTIPIblu.png').convert_alpha()
buildTIPIwood = pygame.image.load('c:\Tribes/images/buildTIPIwood.png').convert_alpha()
build.edi[4] = pygame.image.load('c:\Tribes/images/buildADOBE.png').convert_alpha()
build.edi[6] = pygame.image.load('c:\Tribes/images/buildLONG.png').convert_alpha()
build.edi[7] = pygame.image.load('c:\Tribes/images/buildHOUSE.png').convert_alpha()
build.edi[8] = pygame.image.load('c:\Tribes/images/buildVILLAGEblu.png').convert_alpha()
build.edi[9] = pygame.image.load('c:\Tribes/images/buildCIVUSblu.png').convert_alpha()
build.edi[10] = pygame.image.load('c:\Tribes/images/buildSHAMAN.png').convert_alpha()
build.edi[11] = pygame.image.load('c:\Tribes/images/buildCROPblu.png').convert_alpha()
buildCROPblu2 = pygame.image.load('c:\Tribes/images/buildCROPblu2.png').convert_alpha()
buildCROPblu3 = pygame.image.load('c:\Tribes/images/buildCROPblu3.png').convert_alpha()
buildCROPblu4 = pygame.image.load('c:\Tribes/images/buildCROPblu4.png').convert_alpha()
build.edi[12] = pygame.image.load('c:\Tribes/images/buildHUNTblu.png').convert_alpha()
build.edi[13] = pygame.image.load('c:\Tribes/images/buildFURNACE.png').convert_alpha()
build.edi[14] = pygame.image.load('c:\Tribes/images/buildPOTTERY.png').convert_alpha()
build.edi[15] = pygame.image.load('c:\Tribes/images/buildSTORE.png').convert_alpha()
build.edi[16] = pygame.image.load('c:\Tribes/images/buildWOODhor.png').convert_alpha()
buildWOODver = pygame.image.load('c:\Tribes/images/buildWOODver.png').convert_alpha()
build.edi[17] = pygame.image.load('c:\Tribes/images/buildBRICKhor.png').convert_alpha()
buildBRICKver = pygame.image.load('c:\Tribes/images/buildBRICKver.png').convert_alpha()
build.edi[18] = pygame.image.load('c:\Tribes/images/buildSTONEhor.png').convert_alpha()
buildSTONEver = pygame.image.load('c:\Tribes/images/buildSTONEver.png').convert_alpha()
build.edi[19] = pygame.image.load('c:\Tribes/images/buildTOWERblu.png').convert_alpha()
build.edi[20] = pygame.image.load('c:\Tribes/images/buildTOWER2.png').convert_alpha()
build.edi[21] = pygame.image.load('c:\Tribes/images/buildLODGE.png').convert_alpha()
build.edi[22] = pygame.image.load('c:\Tribes/images/buildTEMPLE.png').convert_alpha()
build.edi[23] = pygame.image.load('c:\Tribes/images/buildPYRAMID.png').convert_alpha()
build.edi[25] = pygame.image.load('c:\Tribes/images/irrigateVER.png').convert_alpha()
irrigateVER2 = pygame.image.load('c:\Tribes/images/irrigateVER2.png').convert_alpha()
irrigateVER3 = pygame.image.load('c:\Tribes/images/irrigateVER3.png').convert_alpha()
buildPYRAMIDfrost = pygame.image.load('c:\Tribes/images/buildPYRAMID2.png').convert_alpha()

buildHUNTred = pygame.image.load('c:\Tribes/images/buildHUNTred.png').convert_alpha()
buildTIPIred = pygame.image.load('c:\Tribes/images/buildTIPIred.png').convert_alpha()
buildVILLAGEred = pygame.image.load('c:\Tribes/images/buildVILLAGEred.png').convert_alpha()

complexTIPI = pygame.image.load('c:\Tribes/images/complexTIPI.png').convert_alpha()
complexTIPI2 = pygame.image.load('c:\Tribes/images/complexTIPI2.png').convert_alpha()
complexTIPI3 = pygame.image.load('c:\Tribes/images/complexTIPI3.png').convert_alpha()
complexADOBE = pygame.image.load('c:\Tribes/images/complexADOBE.png').convert_alpha()
complexHUT = pygame.image.load('c:\Tribes/images/complexHUT.png').convert_alpha()
complexHUT2 = pygame.image.load('c:\Tribes/images/complexHUT2.png').convert_alpha()
complexHUT3 = pygame.image.load('c:\Tribes/images/complexHUT3.png').convert_alpha()

# -- 50 x 50 -- Dirt Road Pics
proROAD1 = pygame.image.load('c:\Tribes/images/proROAD1.png').convert_alpha()
proROAD1 = pygame.transform.scale(proROAD1, (200,200))

build.road[1] = pygame.image.load('c:\Tribes/images/gridROADns.png').convert_alpha()
build.road[2] = pygame.image.load('c:\Tribes/images/gridROADew.png').convert_alpha()
build.road[3] = pygame.image.load('c:\Tribes/images/gridROADne.png').convert_alpha()
build.road[4] = pygame.image.load('c:\Tribes/images/gridROADnew.png').convert_alpha()
build.road[5] = pygame.image.load('c:\Tribes/images/gridROADnse.png').convert_alpha()
build.road[6] = pygame.image.load('c:\Tribes/images/gridROADnsew.png').convert_alpha()
build.road[7] = pygame.image.load('c:\Tribes/images/gridROADnsw.png').convert_alpha()
build.road[8] = pygame.image.load('c:\Tribes/images/gridROADnw.png').convert_alpha()
build.road[9] = pygame.image.load('c:\Tribes/images/gridROADse.png').convert_alpha()
build.road[10] = pygame.image.load('c:\Tribes/images/gridROADsew.png').convert_alpha()
build.road[11] = pygame.image.load('c:\Tribes/images/gridROADsw.png').convert_alpha()

# -- 50 x 50 -- Stone Road Pics
proROAD2 = pygame.image.load('c:\Tribes/images/proROAD2.png').convert_alpha()
proROAD2 = pygame.transform.scale(proROAD2, (200,200))

build.road[21] = pygame.image.load('c:\Tribes/images/gridSTONns.png').convert_alpha()
build.road[22] = pygame.image.load('c:\Tribes/images/gridSTONew.png').convert_alpha()
build.road[23] = pygame.image.load('c:\Tribes/images/gridSTONne.png').convert_alpha()
build.road[24] = pygame.image.load('c:\Tribes/images/gridSTONnew.png').convert_alpha()
build.road[25] = pygame.image.load('c:\Tribes/images/gridSTONnse.png').convert_alpha()
build.road[26] = pygame.image.load('c:\Tribes/images/gridSTONnsew.png').convert_alpha()
build.road[27] = pygame.image.load('c:\Tribes/images/gridSTONnsw.png').convert_alpha()
build.road[28] = pygame.image.load('c:\Tribes/images/gridSTONnw.png').convert_alpha()
build.road[29] = pygame.image.load('c:\Tribes/images/gridSTONse.png').convert_alpha()
build.road[30] = pygame.image.load('c:\Tribes/images/gridSTONsew.png').convert_alpha()
build.road[31] = pygame.image.load('c:\Tribes/images/gridSTONsw.png').convert_alpha()

# -- Sprite Pics
womanRED100 = pygame.image.load('c:\Tribes/images/100womanRED.png').convert_alpha()
womanNEU100 = pygame.image.load('c:\Tribes/images/100womanNEU.png').convert_alpha()
womanBLU100 = pygame.image.load('c:\Tribes/images/100womanBLU.png').convert_alpha()
womanBUILD = pygame.image.load('c:\Tribes/images/womanBUILD.png').convert_alpha()
womanFARM = pygame.image.load('c:\Tribes/images/womanFARM.png').convert_alpha()
womanFORAGE = pygame.image.load('c:\Tribes/images/womanFORAGE.png').convert_alpha()

build.grid[2] = pygame.image.load('c:\Tribes/images/gridHUT.png').convert_alpha()
build.grid[3] = pygame.image.load('c:\Tribes/images/gridTIPI.png').convert_alpha()
build.grid[4] = pygame.image.load('c:\Tribes/images/gridADOBE.png').convert_alpha()
build.grid[6] = pygame.image.load('c:\Tribes/images/gridLONG.png').convert_alpha()
build.grid[7] = pygame.image.load('c:\Tribes/images/gridHOUSE.png').convert_alpha()

build.grid[8] = pygame.image.load('c:\Tribes/images/gridVILLAGE.png').convert_alpha()
build.grid[9] = pygame.image.load('c:\Tribes/images/gridCIVUS.png').convert_alpha()
build.grid[10] = pygame.image.load('c:\Tribes/images/gridSHAMAN.png').convert_alpha()
build.grid[13] = pygame.image.load('c:\Tribes/images/gridFURNACE.png').convert_alpha()
build.grid[14] = pygame.image.load('c:\Tribes/images/gridPOTTERY.png').convert_alpha()

build.grid[21] = pygame.image.load('c:\Tribes/images/gridLODGE.png').convert_alpha()
build.grid[22] = pygame.image.load('c:\Tribes/images/gridTEMPLE.png').convert_alpha()
build.grid[23] = pygame.image.load('c:\Tribes/images/gridPYRAMID.png').convert_alpha()

gridWALL3 = pygame.image.load('c:\Tribes/images/gridWALL3.png').convert_alpha()
gridCROPblu1 = pygame.image.load('c:\Tribes/images/gridCROPblu1.png').convert_alpha()

gridGOODS = pygame.image.load('c:\Tribes/images/gridGOODS.png').convert_alpha()

movePACKblu = pygame.image.load('c:\Tribes/images/movePACKblu.png').convert_alpha()
moveGRAIN = pygame.image.load('c:\Tribes/images/moveGRAIN.png').convert_alpha()
moveMEAT = pygame.image.load('c:\Tribes/images/moveMEAT.png').convert_alpha()
moveFORAGE = pygame.image.load('c:\Tribes/images/moveFORAGE.png').convert_alpha()
moveHERB = pygame.image.load('c:\Tribes/images/moveHERB.png').convert_alpha()
movePOTTERY = pygame.image.load('c:\Tribes/images/movePOTTERY.png').convert_alpha()
moveADOBE = pygame.image.load('c:\Tribes/images/moveADOBE.png').convert_alpha()
moveGOLD = pygame.image.load('c:\Tribes/images/moveGOLD.png').convert_alpha()
moveCOPPER = pygame.image.load('c:\Tribes/images/moveCOPPER.png').convert_alpha()
moveBRONZE = pygame.image.load('c:\Tribes/images/moveBRONZE.png').convert_alpha()
moveCRYSTAL = pygame.image.load('c:\Tribes/images/moveCRYSTAL.png').convert_alpha()
moveSTONE = pygame.image.load('c:\Tribes/images/moveSTONE.png').convert_alpha()
moveCLAY = pygame.image.load('c:\Tribes/images/moveCLAY.png').convert_alpha()
moveWOOD = pygame.image.load('c:\Tribes/images/moveWOOD.png').convert_alpha()

smallGRAIN = pygame.image.load('c:\Tribes/images/smallGRAIN.png').convert_alpha()
smallMEAT = pygame.image.load('c:\Tribes/images/smallMEAT.png').convert_alpha()
smallFORAGE = pygame.image.load('c:\Tribes/images/smallFORAGE.png').convert_alpha()
smallHERB = pygame.image.load('c:\Tribes/images/smallHERB.png').convert_alpha()
smallPOTTERY = pygame.image.load('c:\Tribes/images/smallPOTTERY.png').convert_alpha()
smallADOBE = pygame.image.load('c:\Tribes/images/smallADOBE.png').convert_alpha()
smallGOLD = pygame.image.load('c:\Tribes/images/smallGOLD.png').convert_alpha()
smallCOPPER = pygame.image.load('c:\Tribes/images/smallCOPPER.png').convert_alpha()
smallBRONZE = pygame.image.load('c:\Tribes/images/smallBRONZE.png').convert_alpha()
smallCRYSTAL = pygame.image.load('c:\Tribes/images/smallCRYSTAL.png').convert_alpha()
smallSTONE = pygame.image.load('c:\Tribes/images/smallSTONE.png').convert_alpha()
smallCLAY = pygame.image.load('c:\Tribes/images/smallCLAY.png').convert_alpha()
smallWOOD = pygame.image.load('c:\Tribes/images/smallWOOD.png').convert_alpha()
smallFISH = pygame.image.load('c:\Tribes/images/smallFISH.png').convert_alpha()
smallPOP = pygame.image.load('c:\Tribes/images/smallPOP.png').convert_alpha()

scrollRICE = pygame.image.load('c:\Tribes/images/scrollRICE.png').convert_alpha()
scrollHUT = pygame.image.load('c:\Tribes/images/scrollHUT.png').convert_alpha()
scrollTIPIblu = pygame.image.load('c:\Tribes/images/scrollTIPIblu.png').convert_alpha()
scrollADOBE = pygame.image.load('c:\Tribes/images/scrollADOBE.png').convert_alpha()
scrollADOBE2 = pygame.image.load('c:\Tribes/images/scrollADOBE2.png').convert_alpha()
scrollLONG = pygame.image.load('c:\Tribes/images/scrollLONG.png').convert_alpha()
scrollHOUSE = pygame.image.load('c:\Tribes/images/scrollHOUSE.png').convert_alpha()
scrollVILLAGE = pygame.image.load('c:\Tribes/images/scrollVILLAGE.png').convert_alpha()
scrollCIVUS = pygame.image.load('c:\Tribes/images/scrollCIVUS.png').convert_alpha()
scrollMEDICINE = pygame.image.load('c:\Tribes/images/scrollMEDICINE.png').convert_alpha()
scrollFARM = pygame.image.load('c:\Tribes/images/scrollFARM.png').convert_alpha()
scrollHUNT = pygame.image.load('c:\Tribes/images/scrollHUNT.png').convert_alpha()
scrollFURNACE = pygame.image.load('c:\Tribes/images/scrollFURNACE.png').convert_alpha()
scrollPOTT = pygame.image.load('c:\Tribes/images/scrollPOTT.png').convert_alpha()
scrollSTORE = pygame.image.load('c:\Tribes/images/scrollSTORE.png').convert_alpha()
scrollWALL1 = pygame.image.load('c:\Tribes/images/scrollWALL1.png').convert_alpha()
scrollWALL2 = pygame.image.load('c:\Tribes/images/scrollWALL2.png').convert_alpha()
scrollWALL3 = pygame.image.load('c:\Tribes/images/scrollWALL3.png').convert_alpha()
scrollTOWER1 = pygame.image.load('c:\Tribes/images/scrollTOWER1.png').convert_alpha()
scrollTOWER2 = pygame.image.load('c:\Tribes/images/scrollTOWER2.png').convert_alpha()
scrollLODGE = pygame.image.load('c:\Tribes/images/scrollLODGE.png').convert_alpha()
scrollTEMPLE = pygame.image.load('c:\Tribes/images/scrollTEMPLE.png').convert_alpha()
scrollPYRAMID = pygame.image.load('c:\Tribes/images/scrollPYRAMID.png').convert_alpha()
scrollCANCEL = pygame.image.load('c:\Tribes/images/scrollCANCEL.png').convert_alpha()

workFORAGE = pygame.image.load('c:\Tribes/images/workFORAGE.png').convert_alpha()
workMINERAL = pygame.image.load('c:\Tribes/images/workMINERAL.png').convert_alpha()
workSTONE = pygame.image.load('c:\Tribes/images/workSTONE.png').convert_alpha()
workCLAY = pygame.image.load('c:\Tribes/images/workCLAY.png').convert_alpha()
workWOOD = pygame.image.load('c:\Tribes/images/workWOOD.png').convert_alpha()
workHUNTING = pygame.image.load('c:\Tribes/images/workHUNTING.png').convert_alpha()
workHERBS = pygame.image.load('c:\Tribes/images/workHERBS.png').convert_alpha()
workFARMING = pygame.image.load('c:\Tribes/images/workFARMING.png').convert_alpha()
workIRRIGATE = pygame.image.load('c:\Tribes/images/workIRRIGATE.png').convert_alpha()
workFISHING = pygame.image.load('c:\Tribes/images/workFISHING.png').convert_alpha()
workHEALING = pygame.image.load('c:\Tribes/images/workHEALING.png').convert_alpha()
workCONSTRUCT = pygame.image.load('c:\Tribes/images/workCONSTRUCT.png').convert_alpha()
workPOTTERY = pygame.image.load('c:\Tribes/images/workPOTTERY.png').convert_alpha()
workADOBE = pygame.image.load('c:\Tribes/images/workADOBE.png').convert_alpha()
workBRONZE = pygame.image.load('c:\Tribes/images/workBRONZE.png').convert_alpha()

construct75 = pygame.image.load('c:\Tribes/images/construct75.png').convert_alpha()
construct150 = pygame.image.load('c:\Tribes/images/construct150.png').convert_alpha()
constructSTORE = pygame.image.load('c:\Tribes/images/constructSTORE.png').convert_alpha()
constructPYRAMID = pygame.image.load('c:\Tribes/images/constructPYRAMID.png').convert_alpha()

# --- Tree Images
smallTREE1 = pygame.image.load('c:\Tribes/images/smallTREE1.png').convert_alpha()
smallTREE2 = pygame.image.load('c:\Tribes/images/smallTREE2.png').convert_alpha()
largeTREE1 = pygame.image.load('c:\Tribes/images/largeTREE1.png').convert_alpha()
largeTREE2 = pygame.image.load('c:\Tribes/images/largeTREE2.png').convert_alpha()

smallCACTUS1 = pygame.image.load('c:\Tribes/images/smallCACTUS1.png').convert_alpha()
smallCACTUS2 = pygame.image.load('c:\Tribes/images/smallCACTUS2.png').convert_alpha()
largeCACTUS1 = pygame.image.load('c:\Tribes/images/largeCACTUS1.png').convert_alpha()
largeCACTUS2 = pygame.image.load('c:\Tribes/images/largeCACTUS2.png').convert_alpha()
largePALM = pygame.image.load('c:\Tribes/images/largePALM.png').convert_alpha()
smallPALM = pygame.image.load('c:\Tribes/images/smallPALM.png').convert_alpha()
smallYUCCA = pygame.image.load('c:\Tribes/images/smallYUCCA.png').convert_alpha()
smallYUCCA = pygame.image.load('c:\Tribes/images/smallYUCCA.png').convert_alpha()

smallTREEdead = pygame.image.load('c:\Tribes/images/smallTREEdead.png').convert_alpha()
largeTREEdead = pygame.image.load('c:\Tribes/images/largeTREEdead.png').convert_alpha()
smallTREEfrost = pygame.image.load('c:\Tribes/images/smallTREEfrost.png').convert_alpha()
largeTREEfrost = pygame.image.load('c:\Tribes/images/largeTREEfrost.png').convert_alpha()